PATCH /issues/{id}

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Resource ID (32-char hex)
Example: "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Request Body required

Request body

application/json
status string
snoozed_until string | null

Responses

200 Updated issue
application/json
issue object REQUIRED
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
destination_id string REQUIRED
fingerprint string REQUIRED
title string REQUIRED
status string REQUIRED
snoozed_until string | null REQUIRED
occurrence_count integer REQUIRED
first_seen_at string REQUIRED
last_seen_at string REQUIRED
resolved_at string | null REQUIRED
last_attempt_id string | null REQUIRED
last_event_id string | null REQUIRED
last_error string | null REQUIRED
last_status_code integer | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
destination_name string | null REQUIRED
401 Unauthorized
404 Not found
curl -X PATCH 'https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "string",
  "snoozed_until": "string"
}'
const response = await fetch('https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "status": "string",
    "snoozed_until": "string"
  })
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={
  "status": "string",
  "snoozed_until": "string"
})
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "status": "string",
  "snoozed_until": "string"
}`)
	req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "issue": {
    "id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "destination_id": "<string>",
    "fingerprint": "<string>",
    "title": "<string>",
    "status": "<string>",
    "snoozed_until": "<string>",
    "occurrence_count": 123,
    "first_seen_at": "<string>",
    "last_seen_at": "<string>",
    "resolved_at": "<string>",
    "last_attempt_id": "<string>",
    "last_event_id": "<string>",
    "last_error": "<string>",
    "last_status_code": 123,
    "created_at": "<string>",
    "updated_at": "<string>",
    "destination_name": "<string>"
  }
}
PATCH /issues/{id}
Ask a question... ⌘I